% 3D mesh plot of warp_multiple_fft_scan
% Copyright Imec, 2014

load -ascii warp_multiple_fft_scan.log;

% file format
% first column: timestamp in seconds, resolution: microseconds
% column 2,4,6,... frequency value in MHz
% column 3,5,7,... measurement data in dBm 

meas = warp_multiple_fft_scan;

timeval = meas(:,1)-meas(1,1);
freq = meas(1,2:2:end);
val = meas(:,3:2:end);

mesh(timeval, freq, val.');

% view(2); % top level view
colorbar("EastOutside"); % color legend

ylabel('Frequency [MHz]');
xlabel('Time [seconds]');
zlabel('Sensed power [dBm]');
